Skip to main content

Issue voucher

POST /v1/public/vouchers

Issues one customer voucher from an active merchant voucher template. This operation requires an idempotency key.

Authorization

X-API-Key required with the vouchers:issue scope

Parameters

NameLocationTypeRequiredDescription
Idempotency-KeyheaderstringYesA unique key for this logical write operation. Keys are retained for 24 hours.

Request body

FieldTypeRequiredDescription
voucherTemplateIdstringYesActive merchant voucher-template ID.
customerIdstringNoExisting customer ID. Supply this or recipientEmail.
recipientEmailstring (email)NoRecipient email. Supply this or customerId.
recipientNamestringNo
valuenumberNoRequired for a monetary-value template; ignored for a fixed-value template.
sendbooleanNoAttempt to email the voucher immediately.
externalReferencestringNoYour reference for this issuance.

Request example

curl -X POST "https://api.remyrewards.co.uk/v1/public/vouchers" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Idempotency-Key: order-1042-redeem-1" \
  -H "Content-Type: application/json" \
  --data '{
  "voucherTemplateId": "66c735e253f2836fbe941111",
  "recipientEmail": "alex@example.com",
  "recipientName": "Alex Morgan",
  "send": true,
  "externalReference": "CRM-ISSUE-1042"
}'

Responses

StatusDescription
201Voucher issued.
400The request is missing a required value or contains invalid data.
401The API key is missing or invalid.
403The API key is valid but does not have the required scope.
404The requested integration resource was not found.
409The idempotency key is already processing or was used for a different request.
429A rate or concurrency limit was exceeded.